ConsoleInputStream.EOLPolicy (Jython API documentation)
Date: 2022-09-10

org.python.util

## Enum ConsoleInputStream.EOLPolicy

- java.lang.Object
- - java.lang.Enum<ConsoleInputStream.EOLPolicy>
  - - org.python.util.ConsoleInputStream.EOLPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConsoleInputStream.EOLPolicy>
  Enclosing class:
    ConsoleInputStream

      public static enum ConsoleInputStream.EOLPolicy
      extends java.lang.Enum<ConsoleInputStream.EOLPolicy>

  Enumeration used to specify whether an end-of-line should be added or replaced at the end of each line read. LEAVE means process the line exactly as the library returns it; ADD means always add an end-of-line; and REPLACE means strip any final '\n', '\r', or '\r\n' and add an end-of-line. The end-of-line to add is specified as a String in the constructor.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `LEAVE`
    `REPLACE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConsoleInputStream.EOLPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConsoleInputStream.EOLPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEAVE

          public static final ConsoleInputStream.EOLPolicy LEAVE

    - #### ADD

          public static final ConsoleInputStream.EOLPolicy ADD

    - #### REPLACE

          public static final ConsoleInputStream.EOLPolicy REPLACE

  - ### Method Detail

    - #### values

          public static ConsoleInputStream.EOLPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConsoleInputStream.EOLPolicy c : ConsoleInputStream.EOLPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConsoleInputStream.EOLPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Jython homepage